你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Recovery Points - Get

获取恢复点。
获取受保护项的恢复点的详细信息。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataReplication/replicationVaults/{vaultName}/protectedItems/{protectedItemName}/recoveryPoints/{recoveryPointName}?api-version=2021-02-16-preview

URI 参数

名称 必需 类型 说明
protectedItemName
path True

string

pattern: ^[a-zA-Z0-9]*$

受保护的项名称。

recoveryPointName
path True

string

pattern: ^[a-zA-Z0-9]*$

恢复点名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

vaultName
path True

string

pattern: ^[a-zA-Z0-9]*$

保管库名称。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

响应

名称 类型 说明
200 OK

RecoveryPointModel

成功

Other Status Codes

ErrorResponse

错误

安全性

azure_auth

Azure Active Directory OAuth2 流

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

RecoveryPoints_Get

示例请求

GET https://management.azure.com/subscriptions/930CEC23-4430-4513-B855-DBA237E2F3BF/resourceGroups/rgrecoveryservicesdatareplication/providers/Microsoft.DataReplication/replicationVaults/4/protectedItems/d/recoveryPoints/1X?api-version=2021-02-16-preview

示例响应

{
  "properties": {
    "recoveryPointTime": "2023-08-25T00:28:56.403Z",
    "recoveryPointType": "ApplicationConsistent",
    "customProperties": {
      "instanceType": "RecoveryPointModelCustomProperties"
    }
  },
  "id": "yrnzjckvljjffam",
  "name": "mfnjlwvvfnrsllcyyeslxxcchhvld",
  "type": "zoeadplqxtonvqgwfqmeblh",
  "systemData": {
    "createdBy": "nykpygxolffv",
    "createdByType": "agdgovroryjiwioytnnps",
    "createdAt": "2023-08-25T00:28:56.403Z",
    "lastModifiedBy": "tipxxgz",
    "lastModifiedByType": "v",
    "lastModifiedAt": "2023-08-25T00:28:56.404Z"
  }
}

定义

名称 说明
ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

HyperVToAzStackHCIRecoveryPointModelCustomProperties

HyperV 到 AzStackHCI 恢复点模型自定义属性。

RecoveryPointModel

恢复点模型。

RecoveryPointModelProperties

恢复点模型属性。

RecoveryPointType

获取或设置恢复点类型。

SystemData

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

HyperVToAzStackHCIRecoveryPointModelCustomProperties

HyperV 到 AzStackHCI 恢复点模型自定义属性。

名称 类型 说明
diskIds

string[]

获取或设置磁盘 ID 的列表。

instanceType string:

HyperVToAzStackHCI

minLength: 1

获取或设置实例类型。

RecoveryPointModel

恢复点模型。

名称 类型 说明
id

string

获取或设置资源的 ID。

name

string

获取或设置资源的名称。

properties

RecoveryPointModelProperties

恢复点模型属性。

systemData

SystemData

type

string

获取或设置资源的类型。

RecoveryPointModelProperties

恢复点模型属性。

名称 类型 说明
customProperties RecoveryPointModelCustomProperties:

HyperVToAzStackHCIRecoveryPointModelCustomProperties

恢复点模型自定义属性。

recoveryPointTime

string (date-time)

获取或设置恢复点时间。

recoveryPointType

RecoveryPointType

获取或设置恢复点类型。

RecoveryPointType

获取或设置恢复点类型。

说明
ApplicationConsistent
CrashConsistent

SystemData

名称 类型 说明
createdAt

string (date-time)

获取或设置资源创建 (UTC) 的时间戳。

createdBy

string

获取或设置创建资源的标识。

createdByType

string

获取或设置创建资源的标识的类型:用户、应用程序、managedIdentity。

lastModifiedAt

string (date-time)

获取或设置资源上次修改的时间戳(UTC)。

lastModifiedBy

string

获取或设置上次修改资源的标识。

lastModifiedByType

string

获取或设置上次修改资源的标识类型:用户、应用程序、managedIdentity。